%define name SDL_net
%define version 1.2.2
%define release 1mdk
%define lib_name_orig lib%{name}
%define lib_major 1.2
%define lib_name %{lib_name_orig}%{lib_major}

Summary: Simple DirectMedia Layer - network
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: LGPL
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://www.libsdl.org/projects/SDL_net/
Prefix: %{_prefix}
BuildRequires: libSDL-devel >= 1.2

%description
This is an example portable network library for use with SDL. Note that this
isn't necessarily how you would want to write a chat program, but it
demonstrates how to use the basic features of the network and GUI libraries.

%package -n %{lib_name}
Summary: Main library for %{name}
Group: System/Libraries
Obsoletes: %{name}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{lib_name}-devel
Summary: Headers for developing programs that will use %{name}
Group: Development/C
Requires: %{lib_name} = %{version}
Provides: %{lib_name_orig}-devel = %{version}-%{release}
Obsoletes: %{name}-devel

%description -n %{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
rm -rf ${RPM_BUILD_ROOT}

%setup -q

%build
aclocal
autoconf
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr(-,root,root)
%doc README COPYING
%{_libdir}/lib*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc README COPYING
%{_includedir}/SDL/
%{_libdir}/lib*.so
%{_libdir}/*a

%changelog
* Fri Aug  3 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.2-1mdk
- new version

* Mon May 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.0-1mdk
- version 1.2.0

* Fri Mar  9 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.1-3mdk
- fix provides

* Fri Dec  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.1-2mdk
- new lib policy

* Fri Sep 01 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.1.1-1mdk
- updated to version 1.1.1
- use of macros like %{_libdir} et al.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-2mdk
- automatically added BuildRequires

* Fri Jun 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-1mdk
- v1.0.2

* Tue Jun 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.1-5mdk
- Use makeinstall macros.

* Tue May 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.1-4mdk
- Fix m4 macros with new libtoolize.
- Use configure macro.

* Tue Apr 11 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-2mdk
- added url
- fixed group
- some minor package build fixes
- built against stable SDL version, previous was using 1.1.x devel

* Fri Feb 11 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used srpm provided by Hakan Tandogan <hakan@iconsult.com> 

* Sun Jan 16 2000 Hakan Tandogan <hakan@iconsult.com>
- initial spec file

